ArrayObject::append
ArrayObject::count
ArrayObject
PHP Manual

# ArrayObject::__construct

(PHP 5)

ArrayObject::__construct — Construct a new array object

### Description

ArrayObject::__construct ( mixed `$input` )

This constructs a new array object.

### Parameters

`input`

  The `input` parameter accepts an array or another ArrayObject.

### Return Values

No value is returned.

### Examples

Example #1 ArrayObject::__construct() example

`<?php
$array = array('1' => 'one',
'2' => 'two',
'3' => 'three');
$arrayobject = new ArrayObject($array);
var_dump($arrayobject);
?>`

The above example will output:

    object(ArrayObject)#1 (3) {
      [1]=>
      string(3) "one"
      [2]=>
      string(3) "two"
      [3]=>
      string(5) "three"
    }

ArrayObject::append
ArrayObject::count
ArrayObject
PHP Manual